// Set click events
document.addEventListener("click", (e) => {
    var target = e.target;
    var targetID = target.id;
    var parentElm = target.parentElement;

    if (targetID == "closeBttn") {
        var id = parseInt(parentElm.getAttribute("tabID"));

        browser.tabs.remove(id).then(function () {
            console.log("Removed tab..." + id)
        }, onError);

        parentElm.parentElement.removeChild(parentElm);
    } else if (targetID == "iconElm" || targetID == "faveIcon") {
        if (targetID == "faveIcon") {
            var id = parseInt(parentElm.parentElement.getAttribute("tabID"));
        } else {
            var id = parseInt(target.getAttribute("tabID"));
        }

        browser.tabs.update(id, { active: true }).then(function () {
            console.log("Selected tab..." + id)
        }, onError);
    }
});

document.getElementById("searchBar").onkeypress = function(e){
    searchTabs();
}
